.TH xanalyser 1X

.SH NAME
xanalyser \- a frequence spectrum analyser for X

.SH SYNOPSIS
.B xanalyser
[-option ...]

.SH DESCRIPTION
The program
.I xanalyser
reads audio data from the soundcard, performs a fast fourier transformation on
these data and displays the resulting spectrum in a X Window.

It has no facilities to control the audio mixer. This must be done by another
program.

.SH OPTIONS
.TP 8
.B \-speed \fIint
Set the sample speed. The possible values are limited by your soundcard.
.TP 8
.B \-length \fIint
Set the length of each set of sampled data. The length must be a power of two
and is limited by your soundsystem.
.TP 8
.B \-soundcard
Select the soundcard as input.
.TP 8
.B \-diskfile
Select a diskfile as input. Use the option
.B filename
to specify the name of the file.
.TP 8
.B \-filename \fIstring
Selects the file to play. The file must be in cdr format. Note: This is mainly
intended for testing since it is very probable that the playing is
interrupted.
.TP 8
.B \-mono
Display the sum of both channels.
.TP 8
.B \-left
Only display the left channel.
.TP 8
.B \-right
Only display the right channel.
.TP 8
.B \-stereo
Display both channels.

.P
For more informations see the help provided by the program.

.SH BUGS
The documentation is scanty.

.SH COPYING
Copyright 1998 by Arvin Schnell
.sp 1
.br
This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.
.sp 1
.br
This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
.sp 1
.br
You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 675 Mass
Ave, Cambridge, MA 02139, USA.

.SH AUTHOR
Arvin Schnell, aschnell@physik.uni-bremen.de or arvinschnell@yahoo.com
.sp 1
.br
Comments, suggestions, and bug reports are appreciated.
